
Ruby - Bug #5420

RubyGems misleading error message for "update -l"

10/07/2011 06:07 PM - rklemme (Robert Klemme)

Status: Closed   

Priority: Normal   

Assignee: drbrain (Eric Hodel)   

Target version: 2.0.0   

ruby -v: ruby 1.9.2p290 (2011-07-09 revision

32553) [i386-cygwin]

Backport:  

Description

I accidentally used option -l for "update":

11:00:34 ~$ gem19 list -l facets

*** LOCAL GEMS ***

facets (2.9.1)

11:00:44 ~$ gem19 update -l

Updating installed gems

Updating facets

ERROR:  While executing gem ... (Gem::GemNotFoundException)

Could not find a valid gem 'facets' (>= 0) locally or in a repository

11:01:15 ~$

The issue is with "... or in a repository": apparently the repository was not even searched because without "-l" it works:

11:01:15 ~$ gem19 update

Updating installed gems

Updating facets

Successfully installed facets-2.9.2

Gems updated: facets

Installing ri documentation for facets-2.9.2...

Installing RDoc documentation for facets-2.9.2...

11:03:56 ~$ gem19 list -l facets

*** LOCAL GEMS ***

facets (2.9.2, 2.9.1)

11:04:21 ~$

History

#1 - 12/31/2011 03:11 AM - ayumin (Ayumu AIZAWA)

- Assignee set to drbrain (Eric Hodel)

#2 - 03/18/2012 06:46 PM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Assigned

#3 - 12/18/2012 02:43 PM - drbrain (Eric Hodel)

- Category set to lib

- Target version set to 2.0.0

=begin

It seems this has been fixed.

$ GEM_HOME=~/tmp/gems/ GEM_PATH= ruby20 -Ilib bin/gem update -l builder

Updating installed gems

Updating builder

Fetching: builder-3.1.4.gem (100%)

Successfully installed builder-3.1.4
=end

#4 - 12/18/2012 02:44 PM - drbrain (Eric Hodel)

- Status changed from Assigned to Closed
